#include <stdio.h>
#include <string.h>

typedef struct FichaAlumno {
	char apellidos[30];
	char nombre[15];
	unsigned char edad;
	float talla;
} FichaAlumno;


FichaAlumno lista[] = {
												{"García Pérez", "Primero", 19, 1.80},
												{"Rodríguez Rodríguez", "Segundo", 17, 1.62},
												{"García Pérez", "Tercero", 19, 1.80},
												{"","",0,0}
										 };

void imprimir(FichaAlumno * p);

int main(int argc, char *argv[])
{
	FichaAlumno * p = lista; /* es como si pusiéramos p = &lista[0] */
	int numElementos = 3;
	/*
		Primer iterador
	*/
	int i;
	for(i=0;i<3;i++)
		{
			imprimir(&lista[i]);
		}
	printf("\n");
	/*
		Segundo iterador
	*/
	for(i=0;i<3;i++)
		{
			imprimir(p+i);
		}
	printf("\n");
	/*
	 Tercer iterador
	*/
	for(i=0;i<3;i++)
		{
			imprimir(p++);
		}
	printf("\n");
	/*
		Cuarto iterador
	*/
	p = lista;
	while(strlen(p->apellidos)) /* Se prohibe que los apellidos estén en blanco */
		{
			imprimir(p++);
		}
	printf("\n");
	return 0;
}

void imprimir(FichaAlumno * p)
{
	printf("%10u%30s%16s%4d%6.2f\n",
	                             p,
	                             p->apellidos,
															 p->nombre,
															 p->edad,
															 p->talla);
}