#include <stdio.h>
#include <coti/utiles.h>

void funcionQueRecibeUnPunteroDeVariable(intRef);

int main(int argc, char *argv[])
{
	int variableLocal;
	intRef direccionDeVariableLocal = &variableLocal;
	variableLocal = 33;
	printf("\n\nEl valor inicial de la variable local es %d\n\n", variableLocal);
	printf("La dirección de variableLocal es %u\n\n",direccionDeVariableLocal);
	funcionQueRecibeUnPunteroDeVariable(direccionDeVariableLocal);
	printf("Después de llamar a la función, el valor de variableLocal es: %d\n\n", variableLocal);
	printf("Ahora damos a variableLocal el valor 968\n\n");
	variableLocal = 968;
	printf("Hemos dado a variable local el valor %d\n\n", variableLocal);
  funcionQueRecibeUnPunteroDeVariable(&variableLocal);
  printf("\n\nY una vez más, a la vuelta de la función, variableLocal = %d\n\n",
  	variableLocal);
	return 0;
}

void funcionQueRecibeUnPunteroDeVariable(intRef p)
{
	/*
		El puntero p contiene la dirección de variableLocal
		porque el valor del parámetro real se copia en el parámetro formal
	*/
	printf("Dentro de la función, el valor de p es %u\n\n",p);
	*p = 123456789;
	printf("Damos a *p el valor 123456789\n\n");
	return;
}