#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "tipos.h"
#include "cda.h"
#include "aplicacion.h"

/*
	Normalmente, será preciso incluir aquí otros archivos
	de encabezado que aporten la funcionalidad deseada
	para el programa. Concretamente, se añadirán aquí los
	encabezados que aporten aquellos prototipos que deban
	figurar en funciones[].
 */

int main(int argc, char * argv[])
{
	GlobRef g = malloc(sizeof(Globales));
	
	/*
	 Zona que se modifica para dotar a esta aplicación de una
	 funcionalidad concreta.
	 
	 menu        = ...
	 opciones    = ...
	 pfunciones  = ...
	 */
	charRef  menu            = "(H) Ayuda (S) Salir";
	charRef  opciones        = "HS";
	funRef   funciones[]     = { 	ayuda, salir, NULL};
	
	/*
	 Zona que permanece inalterada para programas de un solo menú.
	 
	 */
	arranque(g, argc, argv);
	distribuidor(g,menu,opciones,funciones);
	parada(g);
	printf("\n\nTerminación normal\n\n");
	return 0;
}