#include "Registro.h"
#include <errno.h>

Registro lista[] = {
												{"Juan Prez", 33, 1.80 },
												{"Ana Lpez",  22, 1.65 },
												{"Mara Garca", 25, 1.70 },
												{"", 0, 0.0 }
										};
int main(int contador, char * argumentos[])
{
	RegistroRef p         = NULL;
	FILE * fp             = NULL;
	charRef delimitador   = NULL;
	charRef nombreArchivo = NULL;
	
	printf("\n\nArchivo de formato delimitado\n\n");
	nombreArchivo = pedir("Escriba el nombre del archivo: ");
	delimitador   = pedir("Escriba el delimitador:        ");
	fp = fopen(nombreArchivo,"w");
	if (NULL == fp)
		{
			printf("Error: no se pudo abrir el archivo %s\n",
							nombreArchivo);
			printf("\n\n%s\n\n",strerror(errno));
			return 1;
		}
	for(p=lista; p->edad != 0; p++)
		fprintf(fp,"%s\n", toDelimString(p,delimitador));
	fclose(fp);
	printf("\n\nEl archivo %s se ha creado correctamente.\n\n",
					nombreArchivo);
	return 0;
}
