#include <stdio.h>
#include <coti/utiles.h>
#include <errno.h>

int leerLista(  charRef nombreDelFichero,
                charRef ** pListaDeLineas,
                intRef pNumeroDeLineasLeidas);

int main(int argc, char * argv[])
{
  charRef nombreDelFichero;
  charRef * lineas;
  int numeroDeLineasLeidas;
  int i;
  
  nombreDelFichero = pedir("Cual es la ruta del fichero? ");
  //nombreDelFichero = "inputdata.txt";
  leerLista(nombreDelFichero,&lineas,&numeroDeLineasLeidas);
  
  printf("\nSe han ledo %d lneas\n\n", numeroDeLineasLeidas);
  for(i=numeroDeLineasLeidas-10;i<numeroDeLineasLeidas;i++)
    printf("La lnea %d contiene \"%s\"\n",i,lineas[i]);
  return 0;
}

int leerLista(  charRef nombreDelFichero,
                charRef ** pListaDeLineas,
                intRef pNumeroDeLineasLeidas)
{
  charRef separador   = NULL;  /* Direccin de retorno o salto */
  charRef temp        = NULL;  /* Direccin de una lnea       */
  charRef linea       = NULL;  /* Linea tempora, optimizacin  */
  size_t longitud     = 0;     /* longitud de esa lnea        */
  int n               = 0;     /* Contador de lneas           */
  int capacidad       = 500;   /* Capacidad inicial            */
  int i               = 0;
  FILE * fp = fopen(nombreDelFichero, "r");
  if (!fp)
    {
        printf("\n%s\n\a", strerror(errno));
        return 1;
    }
  /*
     Se reserva espacio para unas cuantas lneas
  */
  charRef * p = malloc(capacidad*sizeof(charRef));
  while (temp = fgetln(fp,&longitud))
    {
      linea = malloc(longitud+1); /* Para aadir el '\0' */
      memcpy(linea, temp,longitud);
      linea[longitud] = '\0';
      if (separador = strchr(linea,'\n')) *separador = '\0';
      if (separador = strchr(linea,'\r')) *separador = '\0';
      p[n] = linea;
      n++;
      if (n == capacidad)
      {
          capacidad +=500;
          p = realloc(p,capacidad*sizeof(charRef));
      }
    }
  fclose(fp);
  /*
  	La informacin se devuelve a travs de los argumentos
  */
  *pListaDeLineas        = p;
  *pNumeroDeLineasLeidas = n;
  return 0;
}
