#include <coti/utiles.h>
#include "tipos.h"

/*
	Este archivo contien la declaracin de los tipos utilizados en la lista,
	que son Nodo y NodoRef. Tambin se declaran los prototipos de las funciones siguientes:
	
		prepararNodo(), que devuelve un NodoRef que seala un nodo dispuesto
										para ser insertado en la lista.
		mostrarLista(), que escribe en pantalla el contenido de todos los nodos
		                de la lista.
		ponerPrincipio(), que inserta un nodo nuevo al principio de la lista.
		
		Obsrvese que este fichero es el lugar idneo para aadir los
		prototipos del resto de las funciones posibles para una lista enlazada.
		Esos prototipos se correspondern con sus cuerpos definidos en el
		archivo lista.c.
		Se puede, incluso, crear una coleccin de prototipos correspondientes
		a cuerpos vacos (de la forma funcion() {}), para as poder compilar
		el programa. La funcionalidad se puede ir aadiendo paulatinamente,
		o incluso en equipo.
*/
#ifndef __LISTA__
#define __LISTA__


/* No se invocan mediante opcin */
NodoRef prepararNodo();
/*
	AADIR PROTOTIPOS DE FUNCIONES ESPECIALIZADAS
	DEBEN RESPETAR funRef SI SE INVOCAN MEDIANTE UNA OPCIN.
*/

void mostrarLista(GlobRef);
void ponerPrincipio(GlobRef);


#endif
