#include <stdio.h>
#include <coti/utiles.h>

int main(int argc, char * argv[])
{
	int i;
	charRef objeto;
	charRef objects = malloc(1024);
	charRef tools = malloc(1024);
	charRef rules = malloc(8192);
	FILERef fp = fopen("makefile","w");
	if (1 == argc)
		{
			printf("\nUsage: cmake c_source_files\n\n");
			printf("Examples:\n\n\tcmake file1.c file2.c\n");
			printf("\tcmake *.c\n\n");
			printf("\tcmake folder_1/*.c folder_2/*.c\n\n");
		}
	strcat(tools, "/usr/include/coti/utiles.o\n");
	for(i=1;i<argc;i++)
		{
			objeto = malloc(sizeof(argv[i])+1);
			strcpy(objeto, argv[i]);
			objeto[strlen(objeto)-1]='o';
			
			strcat(objects,objeto);
			strcat(objects, " ");
			
			strcat(rules, objeto);
			strcat(rules, ": ");
			strcat(rules, argv[i]);
			strcat(rules, "\n\tcc -c ");
			strcat(rules, argv[i]);
			strcat(rules, "\n");
		}
	strcat(rules, "\n\nlean:\n\trm -rf *.o\n");
	strcat(rules, "\nclean:\n\trm -rf *.o\n\trm -rf prog\n");
	
	fprintf(fp, "TOOLS=%s",tools);
	fprintf(fp, "OBJECTS=%s",objects);
	fprintf(fp, "\nprog: $(OBJECTS)\n");
	fprintf(fp, "\tcc -o prog $(TOOLS) $(OBJECTS)\n");
	fprintf(fp, "\n%s", rules);
	fclose(fp);
	return 0;
}
