/*
 *  basededatos.h
 *  Cap04Finales02
 *
 *  Created by bruegel on 21/11/07.
 *  Copyright 2007 JRSoft. All rights reserved.
 *
 */

#define MAX_REGISTROS 5
#define BYTES_NOMBRE 20
#define BYTES_DIRECCION 40
#include "utiles.h"

struct Registro {
	char nombre[BYTES_NOMBRE];
	char direccion[BYTES_DIRECCION];
	int edad;
};

typedef struct Registro Registro;
typedef Registro * RegistroRef;

typedef struct Modelo {
	RegistroRef p;
	int numRegistros;
} Modelo;

typedef Modelo * ModeloRef;

void altas(ModeloRef);
void bajas(ModeloRef);
void modificaciones(ModeloRef);
void informes(ModeloRef);
