#include "lista.h"

void mostrarLista(GlobRef g)
{
	NodoRef p;
	if (NULL == g->ppio)
		{
			printf("\a\nNo hay nada que mostrar, lista vaca\n\n");
			return;
		}
	printf("\n+--------------+-----------------+-------------------+\n");
	printf("| Puntero      | Valor           | Siguiente         |\n");
	printf("+--------------+-----------------+-------------------+\n");
	
	for(p = g->ppio; NULL != p; p=p->sig)
		printf("| p = %8p | p->edad  = %4d | p->sig = %8p |\n",
						p, p->edad, p->sig);
	printf("+--------------+-----------------+-------------------+\n\n");
	return;
}

NodoRef prepararNodo()
{
	NodoRef nuevo = malloc(sizeof(Nodo));
	nuevo->edad = pedirInt(	"Deme una edad:", 1,120);
	nuevo->sig = NULL;
	return nuevo;
}

void ponerPrincipio(GlobRef g)
{
	g->nodoPuesto = NULL;
	g->nodoPuesto = prepararNodo();
	if (NULL == g->nodoPuesto)
		{
			printf("\a\nIntento de aadir un nodo NULL\n\n");
			return;
		}
	g->nodoPuesto->sig = g->ppio;
	g->ppio = g->nodoPuesto;
}
